import com.iscobol.rts.*;
import com.iscobol.types.*;

public class ENCODE implements IscobolCall {
	public Object call(Object[] argv) {
		CobolVar[] argv2 = new CobolVar[argv.length];
		for(int i=0; i<argv.length; i++) argv2[i] = (CobolVar)argv[i];
		return call(argv2);
	} 

	public CobolVar call (CobolVar argv[]) {	
		String inputEnc = argv[2].toString();
		String outputEnc = argv[3].toString(); 
                try {
                  String outputString = new String(argv[0].getBytes(), inputEnc);
                  argv[1].set (outputString.getBytes(outputEnc));
                  return NumericVar.literal (1, false);
                 } catch (Exception e) {
                  e.printStackTrace(); //log error on console
                  return NumericVar.literal (0, false);
                 }
              
	}

	public void finalize() {

	}

	public void perform(int begin, int end) {

	}

}